#
# spec file for package python-django-debreach
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-django-debreach
Version:        2.0.1
Release:        bp156.3.2
Summary:        Middleware to protect against the BREACH attack in Django
License:        BSD-2-Clause
URL:            https://github.com/lpomfrey/django-debreach
Source:         https://files.pythonhosted.org/packages/source/d/django-debreach/django-debreach-%{version}.tar.gz
BuildRequires:  %{python_module Django}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django
BuildArch:      noarch
%python_subpackages

%description
Adds middleware and context processors to give some protection against the BREACH attack in Django

%prep
%setup -q -n django-debreach-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export PYTHONPATH=`pwd`
export DJANGO_SETTINGS_MODULE='test_project.settings'
%python_expand %{_bindir}/django-admin.py-%{$python_bin_suffix} test debreach --pythonpath=`pwd`

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Wed Oct 30 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.0.1:
  * Drop python2 support upstream
  * Various tests and description fixes
* Fri Oct 18 2019 Dirk Mueller <dmueller@suse.com>
- switch to python3 only (Django 2.x)
* Thu Jan 17 2019 Nicolas Bock <nicolas.bock@suse.com>
- Fix missing BuildRequires to include: python python3
* Wed Jan 16 2019 Nicolas Bock <nicolas.bock@suse.com>
- Add missing BuildRequires: python-pysqlite
* Thu Jan  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fix description
- Fix summary
- Make tests to be run
* Wed Jan  2 2019 Thomas Bechtold <tbechtold@suse.com>
- Drop BuildRequires for python-devel. not needed.
* Wed Jan  2 2019 Thomas Bechtold <tbechtold@suse.com>
- update to 1.5.2:
  * Bump release version
  * Include test_project and docs in MANIFEST.in (Closes #14)
  * Include runtests.py in sdist tarball
- Fix license
* Tue Sep  4 2018 dmueller@suse.com
- fix buildrequires
* Fri Aug 31 2018 dmueller@suse.com
- Initial package (1.5.0)
